org.apache.poi.ss.usermodel.charts

## Enum TitleType

- java.lang.Object
- - java.lang.Enum<TitleType>
  - - org.apache.poi.ss.usermodel.charts.TitleType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TitleType>

  Deprecated.

      @Deprecated
       @Removal(version="4.2")
      public enum TitleType
      extends java.lang.Enum<TitleType>

  Title types for charts.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CELL_REFERENCE` Deprecated.
    `STRING` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TitleType` | `valueOf(java.lang.String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static TitleType[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRING

          public static final TitleType STRING

      Deprecated.

    - #### CELL_REFERENCE

          public static final TitleType CELL_REFERENCE

      Deprecated.

  - ### Method Detail

    - #### values

          public static TitleType[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TitleType c : TitleType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TitleType valueOf(java.lang.String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.